Liblinphone: linphone::FriendListListener Class Reference

Liblinphone 5.2.0

Public Member Functions | List of all members
linphone::FriendListListener Class Reference
Inheritance diagram for linphone::FriendListListener:

## Public Member Functions
virtual LINPHONECXX_PUBLIC void | onContactCreated (const std::shared_ptr< linphone::FriendList > &friendList, const std::shared_ptr< linphone::Friend > &linphoneFriend)
| Callback used to notify a new contact has been created on the CardDAV server and downloaded locally.
virtual LINPHONECXX_PUBLIC void | onContactDeleted (const std::shared_ptr< linphone::FriendList > &friendList, const std::shared_ptr< linphone::Friend > &linphoneFriend)
| Callback used to notify a contact has been deleted on the CardDAV server.
virtual LINPHONECXX_PUBLIC void | onContactUpdated (const std::shared_ptr< linphone::FriendList > &friendList, const std::shared_ptr< linphone::Friend > &newFriend, const std::shared_ptr< linphone::Friend > &oldFriend)
| Callback used to notify a contact has been updated on the CardDAV server.
virtual LINPHONECXX_PUBLIC void | onSyncStatusChanged (const std::shared_ptr< linphone::FriendList > &friendList, linphone::FriendList::SyncStatus status, const std::string &message)
| Callback used to notify the status of the synchronization has changed.
virtual LINPHONECXX_PUBLIC void | onPresenceReceived (const std::shared_ptr< linphone::FriendList > &friendList, const std::list< std::shared_ptr< linphone::Friend > > &friends)
| Callback used to notify a list with all friends that have received presence information.

## Member Function Documentation

## ◆ onContactCreated()

virtual LINPHONECXX_PUBLIC void linphone::FriendListListener::onContactCreated | ( | const std::shared_ptr< linphone::FriendList > & | friendList,
|  | const std::shared_ptr< linphone::Friend > & | linphoneFriend
| ) |  |
| inlinevirtual

Callback used to notify a new contact has been created on the CardDAV server and downloaded locally.

Parameters

  linphoneFriend | The LinphoneFriend object that has been created

## ◆ onContactDeleted()

virtual LINPHONECXX_PUBLIC void linphone::FriendListListener::onContactDeleted | ( | const std::shared_ptr< linphone::FriendList > & | friendList,
|  | const std::shared_ptr< linphone::Friend > & | linphoneFriend
| ) |  |
| inlinevirtual

Callback used to notify a contact has been deleted on the CardDAV server.

Parameters

  linphoneFriend | The LinphoneFriend object that has been deleted

## ◆ onContactUpdated()

virtual LINPHONECXX_PUBLIC void linphone::FriendListListener::onContactUpdated | ( | const std::shared_ptr< linphone::FriendList > & | friendList,
|  | const std::shared_ptr< linphone::Friend > & | newFriend,
|  | const std::shared_ptr< linphone::Friend > & | oldFriend
| ) |  |
| inlinevirtual

Callback used to notify a contact has been updated on the CardDAV server.

Parameters

  oldFriend | The old LinphoneFriend object before update

## ◆ onPresenceReceived()

virtual LINPHONECXX_PUBLIC void linphone::FriendListListener::onPresenceReceived | ( | const std::shared_ptr< linphone::FriendList > & | friendList,
|  | const std::list< std::shared_ptr< linphone::Friend > > & | friends
| ) |  |
| inlinevirtual

Callback used to notify a list with all friends that have received presence information.

Parameters

  friends | A of the relevant friends

## ◆ onSyncStatusChanged()

virtual LINPHONECXX_PUBLIC void linphone::FriendListListener::onSyncStatusChanged | ( | const std::shared_ptr< linphone::FriendList > & | friendList,
|  | linphone::FriendList::SyncStatus | status,
|  | const std::string & | message
| ) |  |
| inlinevirtual

Callback used to notify the status of the synchronization has changed.

Parameters

  message | An additional information on the status update

The documentation for this class was generated from the following file:

- friend_list_listener.hh